diff --git python-chm/python-chm.spec python-chm/python-chm.spec.tmp
index 9863d4ff31..2b5e8eff86 100644
--- python-chm/python-chm.spec
+++ python-chm/python-chm.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-chm
 Version:        0.8.4
-Release:        22%{?dist}
+Release:        23%{?dist}
 Summary:        Python package for CHM files handling
 
 Group:          Development/Languages
@@ -14,12 +14,20 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python-devel
 BuildRequires:  chmlib-devel
 
-%description
-The python chm package provides three modules, chm, chmlib and extra,
-which provide access to the API implemented by the C library chmlib
-and some additional classes and functions. They are used to access
+%global _description\
+The python chm package provides three modules, chm, chmlib and extra,\
+which provide access to the API implemented by the C library chmlib\
+and some additional classes and functions. They are used to access\
 MS-ITSS encoded files - Compressed Html Help files (.chm).
 
+%description %_description
+
+%package -n python2-chm
+Summary: %summary
+%{?python_provide:%python_provide python2-chm}
+
+%description -n python2-chm %_description
+
 %prep
 %setup -q -n pychm-%{version}
 
@@ -37,7 +45,7 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-chm
 %defattr(-,root,root,-)
 %doc COPYING NEWS README
 %{python_sitearch}/chm/
@@ -45,6 +53,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.4-23
+- Python 2 subpackage renamed to python2-chm
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-22
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cliapp/python-cliapp.spec python-cliapp/python-cliapp.spec.tmp
index 87de74911a..d8c8a53942 100644
--- python-cliapp/python-cliapp.spec
+++ python-cliapp/python-cliapp.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{pkgname}
 Version:        1.20160724
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Python framework for Unix command line programs
 
 License:        GPLv2+
@@ -15,14 +15,21 @@ BuildRequires:  python-pep8
 BuildRequires:  PyYAML
 BuildRequires:  python-sphinx
 
-Requires:       PyYAML
+
+%global _description\
+cliapp is a Python framework for Unix-like command line programs. It\
+contains the typical stuff such programs need to do, such as parsing\
+the command line for options, and iterating over input files.\
 
 
-%description
-cliapp is a Python framework for Unix-like command line programs. It
-contains the typical stuff such programs need to do, such as parsing
-the command line for options, and iterating over input files.
+%description %_description
 
+%package -n python2-%{pkgname}
+Summary: %summary
+Requires:       PyYAML
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
 
 %package        doc
 Summary:        Documentation for %{pkgname}
@@ -54,7 +61,7 @@ rm -rf build
 make check
 
 
-%files
+%files -n python2-%{pkgname}
 %doc NEWS README
 %license COPYING
 %{_mandir}/man5/cliapp.5*
@@ -66,6 +73,10 @@ make check
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.20160724-4
+- Python 2 subpackage renamed to python2-cliapp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.20160724-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-clientform/python-clientform.spec python-clientform/python-clientform.spec.tmp
index fecfb526a1..e66acfa17c 100644
--- python-clientform/python-clientform.spec
+++ python-clientform/python-clientform.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-clientform
 Version:        0.2.10
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Python module for client-side HTML forms
 
 Group:          Development/Languages
@@ -17,12 +17,20 @@ BuildRequires:  python-devel
 BuildRequires: python-setuptools
 
 
-%description
-ClientForm is a Python module for handling HTML forms on the client side,
-useful for parsing HTML forms, filling them in and returning the completed
-forms to the server.  It developed from a port of Gisle Aas' Perl module
+%global _description\
+ClientForm is a Python module for handling HTML forms on the client side,\
+useful for parsing HTML forms, filling them in and returning the completed\
+forms to the server.  It developed from a port of Gisle Aas' Perl module\
 HTML::Form, from the libwww-perl library, but the interface is not the same.
 
+%description %_description
+
+%package -n python2-clientform
+Summary: %summary
+%{?python_provide:%python_provide python2-clientform}
+
+%description -n python2-clientform %_description
+
 %prep
 %setup -q -n ClientForm-%{version}
 
@@ -44,7 +52,7 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-clientform
 %defattr(-,root,root,-)
 %doc COPYING.txt GeneralFAQ.html README.html examples
 %{python_sitelib}/ClientForm.py
@@ -53,6 +61,10 @@ rm -rf $RPM_BUILD_ROOT
 %{python_sitelib}/ClientForm-%{version}-py%{pyver}.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.10-14
+- Python 2 subpackage renamed to python2-clientform
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.10-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cliff-tablib/python-cliff-tablib.spec python-cliff-tablib/python-cliff-tablib.spec.tmp
index da3fe4a2e8..8be98aac50 100644
--- python-cliff-tablib/python-cliff-tablib.spec
+++ python-cliff-tablib/python-cliff-tablib.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.1
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Tablib formatters for python-cliff
 
 License:        ASL 2.0
@@ -17,14 +17,22 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-sphinx
-Requires:       python-cliff
-Requires:       python-tablib
 
 
-%description
-cliff-tablib is a set of formatter extensions for producing JSON,
+%global _description\
+cliff-tablib is a set of formatter extensions for producing JSON,\
 YAML, and HTML output in programs created with the cliff framework.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:       python-tablib
+Requires:       python-cliff
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        Tablib formatters for python3-cliff
@@ -78,7 +86,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc html 
 %{python2_sitelib}/clifftablib
 %{python2_sitelib}/cliff_tablib-%{version}-py?.?.egg-info
@@ -93,6 +101,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1-10
+- Python 2 subpackage renamed to python2-cliff-tablib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cli/python-cli.spec python-cli/python-cli.spec.tmp
index 0ef705c60b..74a8a7b73f 100644
--- python-cli/python-cli.spec
+++ python-cli/python-cli.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-cli
 Version:        1.2
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        A CLI construction toolkit for Python
 
 Group:          Development/Languages
@@ -15,12 +15,20 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-ply
-Requires:       python-ply
 
-%description
-This is Python-CLI, a CLI construction toolkit for Python.
+%global _description\
+This is Python-CLI, a CLI construction toolkit for Python.\
 It is similar in scope to Python's "cmd", "cmd2", and pyCLI.
 
+%description %_description
+
+%package -n python2-cli
+Summary: %summary
+Requires:       python-ply
+%{?python_provide:%python_provide python2-cli}
+
+%description -n python2-cli %_description
+
 %prep
 %setup -q -n geertj-python-cli-python-cli-1.2
 
@@ -36,13 +44,17 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-cli
 %defattr(-,root,root,-)
 %doc AUTHORS README LICENSE 
 %{python_sitelib}/*
 %{_bindir}/cli-test
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2-12
+- Python 2 subpackage renamed to python2-cli
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cloudfiles/python-cloudfiles.spec python-cloudfiles/python-cloudfiles.spec.tmp
index c33b3e0dae..2deea3e8b0 100644
--- python-cloudfiles/python-cloudfiles.spec
+++ python-cloudfiles/python-cloudfiles.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-cloudfiles
 Version:        1.7.11
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Python language bindings for Rackspace CloudFiles API
 
 Group:          Development/Libraries
@@ -14,9 +14,17 @@ BuildRequires:  python2-devel
 BuildRequires:  python-nose
 BuildRequires:  python-setuptools
 
-%description
+%global _description\
 Python language bindings for Rackspace CloudFiles API
 
+%description %_description
+
+%package -n python2-cloudfiles
+Summary: %summary
+%{?python_provide:%python_provide python2-cloudfiles}
+
+%description -n python2-cloudfiles %_description
+
 %prep
 %setup -q
 
@@ -29,12 +37,16 @@ Python language bindings for Rackspace CloudFiles API
 %check
 nosetests
 
-%files
+%files -n python2-cloudfiles
 %license COPYING
 %{python_sitelib}/cloudfiles/
 %{python_sitelib}/python_cloudfiles-*-py*.egg-info/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.11-5
+- Python 2 subpackage renamed to python2-cloudfiles
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.11-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cmd2/python-cmd2.spec python-cmd2/python-cmd2.spec.tmp
index 75f37a9be2..a49da307aa 100644
--- python-cmd2/python-cmd2.spec
+++ python-cmd2/python-cmd2.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:             python-cmd2
 Version:          0.6.8
-Release:          11%{?dist}
+Release:          12%{?dist}
 Summary:          Extra features for standard library's cmd module
 
 Group:            Development/Libraries
@@ -29,32 +29,39 @@ BuildRequires:    python-tools
 BuildRequires:    dos2unix
 %endif
 
-Requires:         pyparsing >= 2.0.1
-Requires:         /usr/bin/which
-
-%description
-Enhancements for standard library's cmd module.
-
-Drop-in replacement adds several features for command-prompt tools:
+%global _description\
+Enhancements for standard library's cmd module.\
+\
+Drop-in replacement adds several features for command-prompt tools:\
+\
+ * Searchable command history (commands: "hi", "li", "run")\
+ * Load commands from file, save to file, edit commands in file\
+ * Multi-line commands\
+ * Case-insensitive commands\
+ * Special-character shortcut commands (beyond cmd's "@" and "!")\
+ * Settable environment parameters\
+ * Parsing commands with flags\
+ * > (filename), >> (filename) redirect output to file\
+ * < (filename) gets input from file\
+ * bare >, >>, < redirect to/from paste buffer\
+ * accepts abbreviated commands when unambiguous\
+ * `py` enters interactive Python console\
+ * test apps against sample session transcript (see example/example.py)\
+\
+Usable without modification anywhere cmd is used; simply import cmd2.Cmd\
+in place of cmd.Cmd.\
+\
+See docs at http://packages.python.org/cmd2/
 
- * Searchable command history (commands: "hi", "li", "run")
- * Load commands from file, save to file, edit commands in file
- * Multi-line commands
- * Case-insensitive commands
- * Special-character shortcut commands (beyond cmd's "@" and "!")
- * Settable environment parameters 
- * Parsing commands with flags
- * > (filename), >> (filename) redirect output to file
- * < (filename) gets input from file
- * bare >, >>, < redirect to/from paste buffer
- * accepts abbreviated commands when unambiguous
- * `py` enters interactive Python console
- * test apps against sample session transcript (see example/example.py)
+%description %_description
 
-Usable without modification anywhere cmd is used; simply import cmd2.Cmd
-in place of cmd.Cmd.
+%package -n python2-cmd2
+Summary: %summary
+Requires:         /usr/bin/which
+Requires:         pyparsing >= 2.0.1
+%{?python_provide:%python_provide python2-cmd2}
 
-See docs at http://packages.python.org/cmd2/
+%description -n python2-cmd2 %_description
 
 %if 0%{?with_python3}
 %package -n python3-cmd2
@@ -118,7 +125,7 @@ popd
 
 %{__python} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-cmd2
 %doc README.txt
 %{python_sitelib}/cmd2.py*
 %{python_sitelib}/%{modname}-%{version}*
@@ -132,6 +139,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.8-12
+- Python 2 subpackage renamed to python2-cmd2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-colour-runner/python-colour-runner.spec python-colour-runner/python-colour-runner.spec.tmp
index d5a8d2db55..a8ccc61f5c 100644
--- python-colour-runner/python-colour-runner.spec
+++ python-colour-runner/python-colour-runner.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.0.4
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Colour formatting for unittest tests
 
 License:        MIT
@@ -21,12 +21,20 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # if with_python3
  
-Requires:       python-blessings
-Requires:       python-pygments
 
-%description
+%global _description\
 Colour formatting for unittest test output.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:       python-pygments
+Requires:       python-blessings
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n     python3-%{pypi_name}
 Summary:        Colour formatting for unittest tests
@@ -78,7 +86,7 @@ popd
 
 
 
-%files
+%files -n python2-%{pypi_name}
 %license LICENSE
 %{python2_sitelib}/colour_runner
 %{python2_sitelib}/colour_runner-%{version}-py?.?.egg-info
@@ -91,6 +99,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.4-9
+- Python 2 subpackage renamed to python2-colour-runner
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-configshell/python-configshell.spec python-configshell/python-configshell.spec.tmp
index 1d8365a1ac..0df2b0de4e 100644
--- python-configshell/python-configshell.spec
+++ python-configshell/python-configshell.spec.tmp
@@ -12,22 +12,30 @@ Group:          System Environment/Libraries
 Summary:        A framework to implement simple but nice CLIs
 Epoch:          1
 Version:        1.1.fb23
-Release:        3%{?dist}
+Release:        4%{?dist}
 URL:            https://github.com/agrover/configshell-fb
 Source:         https://fedorahosted.org/released/targetcli-fb/%{oname}-%{version}.tar.gz
 Patch0:         configshell-fix-term.patch
 BuildArch:      noarch
 BuildRequires:  python-devel python-setuptools
-Requires: pyparsing python-urwid python-six
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel python3-setuptools
 %endif
 
-%description
-A framework to implement simple but nice configuration-oriented
+%global _description\
+A framework to implement simple but nice configuration-oriented\
 command-line interfaces.
 
+%description %_description
+
+%package -n python2-configshell
+Summary: %summary
+Requires: pyparsing python-urwid python-six
+%{?python_provide:%python_provide python2-configshell}
+
+%description -n python2-configshell %_description
+
 %if 0%{?with_python3}
 %package -n python3-configshell
 Summary:        A framework to implement simple but nice CLIs
@@ -67,7 +75,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-configshell
 %{python_sitelib}/*
 %doc COPYING README.md
 
@@ -78,6 +86,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:1.1.fb23-4
+- Python 2 subpackage renamed to python2-configshell
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.1.fb23-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-confparser/python-confparser.spec python-confparser/python-confparser.spec.tmp
index c2e053eca8..e9be297040 100644
--- python-confparser/python-confparser.spec
+++ python-confparser/python-confparser.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-confparser
 Version:        1.0.1
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        A KISS python module to parse *nix config files
 
 Group:          Development/Libraries
@@ -14,9 +14,17 @@ BuildArch:      noarch
 
 BuildRequires: python-devel, python-setuptools
 
-%description
+%global _description\
 Parser for *nix config files
 
+%description %_description
+
+%package -n python2-confparser
+Summary: %summary
+%{?python_provide:%python_provide python2-confparser}
+
+%description -n python2-confparser %_description
+
 %prep
 %setup -q
 
@@ -31,7 +39,7 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-confparser
 %defattr(-,root,root,-)
 %doc README COPYING INFO
 %{python_sitelib}/confparser.py*
@@ -40,6 +48,10 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-17
+- Python 2 subpackage renamed to python2-confparser
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-construct/python-construct.spec python-construct/python-construct.spec.tmp
index f0d730ca82..628fb4cbce 100644
--- python-construct/python-construct.spec
+++ python-construct/python-construct.spec.tmp
@@ -3,7 +3,7 @@
 Summary:        A powerful declarative parser/builder for binary data
 Name:           python-construct
 Version:        2.5.1
-Release:        11%{?dist}
+Release:        12%{?dist}
 License:        MIT
 URL:            http://construct.readthedocs.org
 Source0:        https://pypi.python.org/packages/source/c/construct/construct-%{version}.tar.gz
@@ -12,18 +12,26 @@ BuildRequires:  python-devel
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 %endif
-Requires:       python-six
-
-%description
-Construct is a powerful declarative parser (and builder) for binary
-data.
 
-Instead of writing imperative code to parse a piece of data, you
-declaratively define a data structure that describes your data. As
-this data structure is not code, you can use it in one direction to
-parse data into Pythonic objects, and in the other direction, convert
+%global _description\
+Construct is a powerful declarative parser (and builder) for binary\
+data.\
+\
+Instead of writing imperative code to parse a piece of data, you\
+declaratively define a data structure that describes your data. As\
+this data structure is not code, you can use it in one direction to\
+parse data into Pythonic objects, and in the other direction, convert\
 (build) objects into binary data.
 
+%description %_description
+
+%package -n python2-construct
+Summary: %summary
+Requires:       python-six
+%{?python_provide:%python_provide python2-construct}
+
+%description -n python2-construct %_description
+
 %if 0%{?with_python3}
 %package -n     python3-construct
 Summary:        A powerful declarative parser/builder for binary data
@@ -65,7 +73,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-construct
 %doc README.rst LICENSE
 %{python_sitelib}/construct
 %{python_sitelib}/construct-%{version}-py?.?.egg-info
@@ -78,6 +86,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.5.1-12
+- Python 2 subpackage renamed to python2-construct
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-contextlib2/python-contextlib2.spec python-contextlib2/python-contextlib2.spec.tmp
index c44266e0e3..ed84a256ca 100644
--- python-contextlib2/python-contextlib2.spec
+++ python-contextlib2/python-contextlib2.spec.tmp
@@ -14,7 +14,7 @@
 
 Name:               python-contextlib2
 Version:            0.5.5
-Release:            2%{?dist}
+Release:            3%{?dist}
 Summary:            Backports and enhancements for the contextlib module
 
 Group:              Development/Libraries
@@ -36,13 +36,21 @@ BuildRequires:      python3-devel
 Patch0:             contextlib2-skip-tests-on-el6.patch
 %endif
 
-%description
-contextlib2 is a backport of the standard library's contextlib module to
-earlier Python versions.
-
-It also serves as a real world proving ground for possible future
+%global _description\
+contextlib2 is a backport of the standard library's contextlib module to\
+earlier Python versions.\
+\
+It also serves as a real world proving ground for possible future\
 enhancements to the standard library version.
 
+%description %_description
+
+%package -n python2-contextlib2
+Summary: %summary
+%{?python_provide:%python_provide python2-contextlib2}
+
+%description -n python2-contextlib2 %_description
+
 %if 0%{?with_python3}
 %package -n python3-contextlib2
 Summary:            Backports and enhancements for the contextlib module
@@ -93,7 +101,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-contextlib2
 %doc README.rst VERSION.txt NEWS.rst
 %license LICENSE.txt
 %{python2_sitelib}/%{modname}.py*
@@ -109,6 +117,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.5-3
+- Python 2 subpackage renamed to python2-contextlib2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-copr/python-copr.spec python-copr/python-copr.spec.tmp
index 1a399bf099..cb72f51194 100644
--- python-copr/python-copr.spec
+++ python-copr/python-copr.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:       python-copr
 Version:    1.78
-Release:    2%{?dist}
+Release:    3%{?dist}
 Summary:    Python interface for Copr
 
 Group:      Applications/Productivity
@@ -38,19 +38,26 @@ BuildRequires: python2-devel
 BuildRequires: python-sphinx
 BuildRequires: python-docutils
 
-Requires: python-setuptools
-Requires: python-six >= 1.9.0
-Requires: python-requests
-Requires: python-requests-toolbelt
-Requires: python-marshmallow
+%global _description\
+COPR is lightweight build system. It allows you to create new project in WebUI,\
+and submit new builds and COPR will create yum repository from latest builds.\
+\
+This package contains python interface to access Copr service. Mostly useful\
+for developers only.\
 
-%description
-COPR is lightweight build system. It allows you to create new project in WebUI,
-and submit new builds and COPR will create yum repository from latest builds.
 
-This package contains python interface to access Copr service. Mostly useful
-for developers only.
+%description %_description
+
+%package -n python2-copr
+Summary: %summary
+Requires: python-marshmallow
+Requires: python-requests-toolbelt
+Requires: python-requests
+Requires: python-six >= 1.9.0
+Requires: python-setuptools
+%{?python_provide:%python_provide python2-copr}
 
+%description -n python2-copr %_description
 
 %if 0%{?with_python3}
 %package -n python3-copr
@@ -166,7 +173,7 @@ popd
 # compatibility for RHEL <= 6
 %{!?_licensedir:%global license %%doc}
 
-%files
+%files -n python2-copr
 %license LICENSE
 %doc README.rst
 %{python_sitelib}/*
@@ -185,6 +192,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.78-3
+- Python 2 subpackage renamed to python2-copr
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.78-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-coverage-test-runner/python-coverage-test-runner.spec python-coverage-test-runner/python-coverage-test-runner.spec.tmp
index 846512ec67..834baddd72 100644
--- python-coverage-test-runner/python-coverage-test-runner.spec
+++ python-coverage-test-runner/python-coverage-test-runner.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{prjname}
 Version:        1.11
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Python module for enforcing code coverage completeness
 
 License:        GPLv3+
@@ -12,19 +12,27 @@ Source0:        http://code.liw.fi/debian/pool/main/p/%{name}/%{name}_%{version}
 
 BuildArch:      noarch
 BuildRequires:  python-coverage
-Requires:       python-coverage
 
-%description
-CoverageTestRunner is a Python module for running unit tests and
-failing them if the unit test module does not exercise all statements
-in the module it tests.
+%global _description\
+CoverageTestRunner is a Python module for running unit tests and\
+failing them if the unit test module does not exercise all statements\
+in the module it tests.\
+\
+For example, unit tests in module foo_tests.py are supposed to test\
+everything in the foo.py module, and if they don't, it's a bug in the\
+test coverage. It does not matter if other tests happen to test the\
+missing parts. The unit tests for the module should test everything in\
+that module.\
+
 
-For example, unit tests in module foo_tests.py are supposed to test
-everything in the foo.py module, and if they don't, it's a bug in the
-test coverage. It does not matter if other tests happen to test the
-missing parts. The unit tests for the module should test everything in
-that module.
+%description %_description
 
+%package -n python2-%{prjname}
+Summary: %summary
+Requires:       python-coverage
+%{?python_provide:%python_provide python2-%{prjname}}
+
+%description -n python2-%{prjname} %_description
 
 %prep
 %autosetup
@@ -42,7 +50,7 @@ that module.
 make check
 
 
-%files
+%files -n python2-%{prjname}
 %license COPYING
 %doc NEWS README
 %{python_sitelib}/%{pkgname}.py*
@@ -50,6 +58,10 @@ make check
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.11-4
+- Python 2 subpackage renamed to python2-coverage-test-runner
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cpio/python-cpio.spec python-cpio/python-cpio.spec.tmp
index caa3f2970c..24e6400b97 100644
--- python-cpio/python-cpio.spec
+++ python-cpio/python-cpio.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-cpio
 Version:        0.1
-Release:        25%{?dist}
+Release:        26%{?dist}
 Summary:        A Python module for accessing cpio archives
 
 License:        LGPLv2+
@@ -17,9 +17,17 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python3-devel
 
-%description
+%global _description\
 This is a Python module for accessing cpio archives.
 
+%description %_description
+
+%package -n python2-cpio
+Summary: %summary
+%{?python_provide:%python_provide python2-cpio}
+
+%description -n python2-cpio %_description
+
 %package -n python3-cpio
 Summary:	A Python module for accessing cpio archives
 
@@ -38,7 +46,7 @@ This is a Python module for accessing cpio archives.
 %py2_install
 %py3_install
 
-%files
+%files -n python2-cpio
 %license COPYING.lib
 %doc AUTHORS ChangeLog README TODO
 %{python_sitelib}/cpioarchive.py*
@@ -53,6 +61,10 @@ This is a Python module for accessing cpio archives.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-26
+- Python 2 subpackage renamed to python2-cpio
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-25
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cpopen/python-cpopen.spec python-cpopen/python-cpopen.spec.tmp
index 2b9e0a44ba..1a04504017 100644
--- python-cpopen/python-cpopen.spec
+++ python-cpopen/python-cpopen.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{libname}
 Version:        1.5
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Creates a sub-process in simpler safer manner
 
 License:        GPLv2+
@@ -13,13 +13,21 @@ URL:            http://pypi.python.org/pypi/cpopen
 Source0:        http://bronhaim.fedorapeople.org/cpopen-%{version}.tar.gz
 
 BuildRequires: python2-devel
-Provides: vdsm-python-cpopen = 4.13.2
-Obsoletes: vdsm-python-cpopen <= 4.14
 
-%description
-Python package for creating sub-process in simpler and safer manner by using C
+%global _description\
+Python package for creating sub-process in simpler and safer manner by using C\
 code.
 
+%description %_description
+
+%package -n python2-%{libname}
+Summary: %summary
+Obsoletes: vdsm-python-cpopen <= 4.14
+Provides: vdsm-python-cpopen = 4.13.2
+%{?python_provide:%python_provide python2-%{libname}}
+
+%description -n python2-%{libname} %_description
+
 %prep
 %setup -q -n %{libname}-%{version}
 
@@ -30,13 +38,17 @@ CPOPEN_VERSION=%{version} %{__python} setup.py build
 %install
 CPOPEN_VERSION=%{version} %{__python} setup.py install --root $RPM_BUILD_ROOT
 
-%files
+%files -n python2-%{libname}
 %doc AUTHORS COPYING README
 %{python_sitearch}/%{libname}/__init__.py*
 %{python_sitearch}/%{libname}-%{version}-py*.egg-info
 %attr(755, root, root) %{python_sitearch}/%{libname}/%{libname}.so*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5-5
+- Python 2 subpackage renamed to python2-cpopen
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
